Package net.paulhertz.pixelaudio.schedule

# Class TimedLocation

java.lang.Object
net.paulhertz.pixelaudio.schedule.TimedLocation

All Implemented Interfaces:
  `Comparable<TimedLocation>`

public class TimedLocation extends Object implements Comparable<TimedLocation>
Used to schedule or track events that take place at specific coordinate locations. Used in multiple example sketches.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private int`
  `durationMs`
  `private int`
  `eventTime`
  `private boolean`
  `isStale`
  `private int`
  `x`
  `private int`
  `y`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimedLocation(int x, int y, int eventTime)`
  `TimedLocation(int x, int y, int eventTime, int durationMs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(TimedLocation tl)`
  `int`
  `eventTime()`
  `int`
  `getDurationMs()`
  `int`
  `getX()`
  `int`
  `getY()`
  `boolean`
  `isStale()`
  `void`
  `setDurationMs(int durationMs)`
  `void`
  `setStale(boolean stale)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    private int x

  - ### y

    private int y

  - ### eventTime

    private int eventTime

  - ### isStale

    private boolean isStale

  - ### durationMs

    private int durationMs

- ## Constructor Details

  - ### TimedLocation

    public TimedLocation(int x, int y, int eventTime, int durationMs)

  - ### TimedLocation

    public TimedLocation(int x, int y, int eventTime)

- ## Method Details

  - ### getX

    public int getX()

  - ### getY

    public int getY()

  - ### eventTime

    public int eventTime()

  - ### isStale

    public boolean isStale()

  - ### setStale

    public void setStale(boolean stale)

  - ### getDurationMs

    public int getDurationMs()

  - ### setDurationMs

    public void setDurationMs(int durationMs)

  - ### compareTo

    public int compareTo(TimedLocation tl)
    Specified by:
      `compareTo` in interface `Comparable<TimedLocation>`